mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		}
	}
});
mui.plusReady(function() {
	plus.navigator.setFullscreen(false);
	plus.screen.lockOrientation("portrait-primary");
	setTimeout(function() {
		loadforumindex();
	},500);
	mui.preload({
		id:"forumdisplay",
		url:"forum/forumdisplay.html",
		styles:{
			popGesture:'hide'
		}
	});
	if (plus.os.name == 'iOS') {
		dynamicLoading.css("css/apple.css");
	};
});

function loadforumindex() {
	ajaxurl= domain + 'api/mobile/?mobile=no&version=5&module=forumindex';
	console.log(ajaxurl);

	mui.getJSON(ajaxurl,null,function(b){
		// console.log(JSON.stringify(b));

		var tongji_html = template.compile(tongji);
		var tophtml = tongji_html(b.Variables.summary);

		var hotforums_html = template.compile(hotforums);
		tophtml += hotforums_html(b.Variables);
		document.getElementById('top').innerHTML = tophtml;

		var discuz_body_html = template.compile(discuz_body);
		var htmls = discuz_body_html(b.Variables);
		document.getElementById('list').innerHTML = htmls;

		storage.setItem("saltkey",b.Variables.saltkey);
		storage.setItem("formhash",b.Variables.formhash);

		// console.log(b.Variables.member_uid +':'+ typeof(b.Variables.member_uid));
		// console.log(uid +':'+ typeof(uid));
		// console.log(storage.getItem("uid") +':'+ typeof(storage.getItem("uid")));

		if (b.Variables.member_uid == '0' && uid) {
			console.log('autoLogin');
			autoLogin();
		};
		if (b.Variables.member_uid != '0' && !uid) {
			console.log('autoLogout');
			autoLogout();
		};

	});
}
function pulldownRefresh() {
	uid = parseInt(storage.getItem("uid"));
	if (isNaN(uid)) {
		uid = 0;
	};
	setTimeout(function() {
		loadforumindex();
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
	}, 500);
}
function autoLogin () {
	username = storage.getItem("username");
	console.log(username);
	if (!username) {
		storage.removeItem("username");
		storage.removeItem("uid");
		storage.removeItem("token");
		plus.webview.getWebviewById('member.html').evalJS("location.reload();");
		plus.navigator.removeAllCookie();
		return;
	};

	mui.post('http://user.singse.com/api/login.html',{
			uiuser:uid,
			token:setToKen(),
		},function(d){
			console.log(JSON.stringify(d));
			if (d.status == 1) {
				document.getElementById('keepjs').innerHTML='';
				var extrajs=d.data.extrajs.replace('<script type=\"text\/javascript\" src=\"','');
				extrajs=extrajs.replace('\" reload=\"1\"><\/script>','');
				var script = document.createElement('script');
				script.src = extrajs;
				script.type = 'text/javascript';
				document.getElementById('keepjs').appendChild(script);

				console.log(d.data.user.uin);
				console.log(d.data.user.username);
				storage.setItem("uid",d.data.user.uin);
				uid = d.data.user.uin;
				storage.setItem("username",d.data.user.username);

				plus.webview.getWebviewById('member.html').evalJS("location.reload();");
				setTimeout(function() {
					pulldownRefresh();
				}, 1500);
			}else{
				autoLogout();
			};
		},'json'
	);
}
function autoLogout () {
	mui.post('http://user.singse.com/api/logout.html',null,function(d){
		console.log(JSON.stringify(d));
		if (d.status == 1) {
			document.getElementById('keepjs').innerHTML='';
			var extrajs=d.data.extrajs.replace('<script type=\"text\/javascript\" src=\"','');
			extrajs=extrajs.replace('\" reload=\"1\"><\/script>','');
			var script = document.createElement('script');
			script.src = extrajs;
			script.type = 'text/javascript';
			document.getElementById('keepjs').appendChild(script);

			storage.removeItem("uid");
			storage.removeItem("username");
			storage.removeItem("formhash");
			plus.navigator.removeAllCookie();

			plus.webview.getWebviewById('member.html').evalJS("location.reload();");
			setTimeout(function() {
				pulldownRefresh();
			}, 1500);
		};
	},'json');
}