﻿// 拍照添加文件
function appendByCamera(){
	if (uploadImage) {
		plus.camera.getCamera().captureImage(function(p){
			plus.gallery.save(p,function(){console.log( "保存图片到相册成功" );});// 复制到系统相册
			plus.io.resolveLocalFileSystemURL(p, function(entry) {
				var localurl = entry.toLocalURL(); //把拍照的目录路径，变成本地url路径，例如file:///........之类的。
				var n=p.substr(p.lastIndexOf('/')+1);
				compressImage(localurl,n,1);
			});

		}, function(e) {
			mui.toast("很抱歉，获取失败 ");
		});
	}else{
		mui.toast("很抱歉，请选择图片再上传");
	};
}
// 从相册添加文件
function appendByGallery(){
	console.log(uploadImage);
	if (uploadImage) {
		plus.gallery.pick( function(p){
			console.log(p);
			var n=p.substr(p.lastIndexOf('/')+1);
			compressImage(p,n,0);
		});
	}else{
		mui.toast("很抱歉，请选择图片再上传");
	};
}

function compressImage(p,n,d){
	console.log("开始压缩图片：");
	// console.log(p);
	// console.log(n);
	plus.nativeUI.showWaiting();
	var img = new Image();
	var imgWidth,maxWidth;
	avatar?maxWidth=250:maxWidth=1200;
	img.src = p;
	var check = function(){
		if(img.width>0 || img.height>0){
			imgWidth = img.width;
			// console.log(imgWidth);

			if (imgWidth > maxWidth) {
				plus.zip.compressImage({
					src:p,
					dst:"_doc/attach/"+n,
					quality:95,
					overwrite:true,
					width:maxWidth+"px",
					height:"auto"
				},
				function(i){
					console.log("压缩图片成功："+JSON.stringify(i));
					uploadImg(p,i.target,n,d);
				},function(e){
					plus.nativeUI.closeWaiting();
					mui.toast('出现问题了，请再试！');
					console.log("压缩图片失败: "+JSON.stringify(e));
				});
			}else if (imgWidth > 1){
				uploadImg(p,p,n,d);
			};
			clearInterval(set);
		}
	};
	var set = setInterval(check,40);
}

function uploadError () {
	mui.toast('上传失败，请稍候再试');
	plus.nativeUI.closeWaiting();
}

function uploadOnsendstream (e) {
	console.log(e);
	if (e.target.response) {
		var result = eval('(' + e.target.response + ')'); 
		if (result.errCode != 0) {
			mui.toast('网络不稳定，请稍后重新操作');
			// removePic(id);
		}
	};

	// var progress = jq('#progress' + id).find('.proBar');
	if (e.total == e.loaded) {
		var percent = 100;
	} else {
		var percent = 100 * (e.loaded / e.total);
	}
	if (percent > 100) {
		percent = 100;
	}
	console.log(percent);
	// progress.css('width', percent + '%');

	// if (percent == 100) {
	// 	jq('#li' + id).find('.maskLay').remove();
	// 	jq('#li' + id).find('.progress').remove();
	// }

}

function delTempPic (o,n,d) {
	// console.log(d);
	if (d == 0) {
		getReUrlDel(n);
	}else if (o == n) {
		getReUrlDel(o);
	}else{
		getReUrlDel(o);
		getReUrlDel(n);
	}
}

function getReUrlDel (a) {
	plus.io.resolveLocalFileSystemURL( a, function(entry){
		entry.remove();
	}, function(e){
	});
}

function uploadAbort () {
	mui.toast('上传已取消');
	plus.nativeUI.closeWaiting();
}
function uploadTimeOut() {
	mui.toast('上传超时，请稍候再试');
	plus.nativeUI.closeWaiting();
}
function base64decode (d) {
	var b = "";
	var l, j, g = "";
	var k, h, f, e = "";
	var c = 0;
	var _keys = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
	if (d.length % 4 != 0) {
		return ""
	};
	var a = /[^A-Za-z0-9\+\/\=]/g;
	if (a.exec(d)) {
		return ""
	};
	do {
		k = _keys.indexOf(d.charAt(c++));
		h = _keys.indexOf(d.charAt(c++));
		f = _keys.indexOf(d.charAt(c++));
		e = _keys.indexOf(d.charAt(c++));
		l = (k << 2) | (h >> 4);
		j = ((h & 15) << 4) | (f >> 2);
		g = ((f & 3) << 6) | e;
		b = b + String.fromCharCode(l);
		if (f != 64) {
			b += String.fromCharCode(j)
		}
		if (e != 64) {
			b += String.fromCharCode(g)
		}
		l = j = g = "";
		k = h = f = e = ""
	} while ( c < d . length );
	return b;
}

function getbuilder (d, b, e, h) {
	var f = "--",
	g = "\r\n",
	a = "";
	for (var c in d) {
		a += f;
		a += h;
		a += g;
		a += 'Content-Disposition: form-data; name="' + c + '"';
		a += g;
		a += g;
		a += d[c];
		a += g
	}
	a += f;
	a += h;
	a += g;
	a += 'Content-Disposition: form-data; name="Filedata"';
	a += '; filename="' + b + '"';
	a += g;
	a += "Content-Type: application/octet-stream";
	a += g;
	a += g;
	a += e;
	a += g;
	a += f;
	a += h;
	a += f;
	a += g;
	return a
}