var lazyLoadApi = mui('#pullrefresh .mui-scroll').imageLazyload({
	autoDestroy: false,
	placeholder: placeholder
});
mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			contentnomore:'已经到底了...',
			callback: loadthreads
		}
	}
});

mui.plusReady(function() {
	plus.navigator.setFullscreen(false);
	plus.screen.lockOrientation("portrait-primary");
	loadthreads();
	setTimeout(function() {
		mui.preload({
			id: "viewthread",
			url: "forum/viewthread.html",
			styles: {
				popGesture: 'hide'
			}
		});
	},500);

	if (plus.os.name == 'iOS')dynamicLoading.css("css/apple.css");
});

function loadthreads() {
	ajaxurl = domain + 'api/mobile/?mobile=no&version=5&module=appindex&page='+page;
	console.log(ajaxurl);
	mui.getJSON(ajaxurl,null,function(data){
		// console.log(data);
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(data.Variables.hot_thread_list_count <= page*data.Variables.hot_thread_list_page_size);

		if (page==1) {
			var iflash_html = template.compile(iflash);
			var iflashHtml = iflash_html(data.Variables);
			document.getElementById('islider').innerHTML = iflashHtml;

			mui("#islider").slider({
				interval: 3500,
				snapX: 0.3,
			});

			for (var i in data.Variables.fourbox) {
				data.Variables.fourbox[i].summary = JSON.parse(data.Variables.fourbox[i].summary); 
				// console.log(data.Variables.fourbox[i].summary);
			}
			data.Variables.fourbox[i].summary
			var fourbox_html = template.compile(fourboxTeml);
			var fourboxHtml = fourbox_html(data.Variables);
			document.getElementById('fourbox').innerHTML = fourboxHtml;

		};
		data.Variables.domain = domain;
		var indexHtml_html = template.compile(indexHtml);
		var htmls = indexHtml_html(data.Variables);

		var div = document.createElement('div');
		div.id = 'indexHtml'+page;
		div.className = 'forumdisplay';
		div.innerHTML = htmls;
		document.getElementById('index').appendChild(div);

		lazyLoadApi.refresh(true);
		page++;

	});
}
function pulldownRefresh() {
	setTimeout(function() {
		location.reload();
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
	},500);
}

mui('.tapOpen').on('tap', '.tools', function() {
	var ntitle = this.getAttribute('ntitle');
	var nurl = this.getAttribute('url');
	mui.openWindow({
		id: "tools",
		url: "tools/tools.html",
		show: {
			aniShow: aniShow,
			duration: 300
		},
		waiting: {
			autoShow: true
		},
		extras:{
			ntitle:ntitle,
			nurl:nurl
		}
	});
});