var wait=60,qqmd5=0;
var loginInForum = storage.getItem("loginInForum");
var tel_reg=/^((13[0-9]|15[0-9]|17[0-9]|18[0-9])+\d{8})$/;
var viewApi;
mui.init({
	beforeback: function(){
		if (storage.removeItem("loginInForum")) {
			storage.removeItem("loginInForum");
		};
		return true;
	}
});

mui('.mui-scroll-wrapper').scroll();
mui.plusReady(function() {
	plus.screen.lockOrientation("portrait-primary");
	token = setToKen();
});
var oldBack = mui.back;
mui.back = function() {
	if (viewApi.canBack()) {
		viewApi.back();
	} else {
		oldBack();
	}
};


// 登录
document.querySelector('#login_btn').addEventListener('tap', function () {
	var username = document.getElementById('fusername').value;
	var password = document.getElementById('fpassword').value;
	if (username == '' || password == '') {
		mui.toast('请完整输入用户名和密码！');
		return;
	};
	var ajaxData = {
		uiuser:username,
		uipw:password,
		token:token
	};
	if (qqmd5) {
		ajaxData.do_submit = 1;
		ajaxData.md5 = qqmd5;
	};

	mui.post('http://user.singse.com/api/login.html',ajaxData,function(d){

			mui.toast(d.info);
			if (d.status == 1) {
				loginSuccess(d);
			}else if(d.status == 2){
				setTimeout(function() {
					mui('#app').view().go('#bind_tel_send');
				}, 500);
			}else{
				mui.toast(d.message);
			};

		},'json'
	);
});
// 登录成功未绑定手机 发送验证码
document.querySelector('#bind_tel').addEventListener('tap', function (e) {
	var a = this;
	var tel_num = document.getElementById(a.id+'_num');
	if (sendSmscheck(a,tel_num)) {

		mui.post('http://user.singse.com/api/send_sms.html',{
				do_submit:1,
				reg_type:'bind',
				email:tel_num.value
			},function(d){
				mui.toast(d.info);
				if (d.status == 1) {
					time(a);
					tel_num.setAttribute("disabled", true);
				}else{
					tel_num.removeAttribute("disabled");
				};
			},'json'
		);
	};
});

// 登录成功未绑定手机 绑定操作
document.querySelector('#bind_tel_btn').addEventListener('tap', function (e) {
	var bind_tel_num = document.getElementById('bind_tel_num');
	var bind_tel_code = document.getElementById('bind_tel_code');
	if (bind_tel_code.value.length==0) {
		mui.toast('请输入验证码！');
		return;
	};

	mui.post('http://user.singse.com/api/bind.html',{
			do_submit:1,
			mobile:bind_tel_num.value,
			code:bind_tel_code.value
		},function(d){
			mui.toast(d.info);
			if (d.status == 1) {
				loginSuccess(d);
			}else if(d.status == -1){
				setTimeout(function() {
					viewApi.back();
				}, 500);
			}else if(d.status == 2){
				oldBack();
			}else{
				mui.toast(d.message);
			};
		},'json'
	);
});

// 注册前发送验证码
document.querySelector('#register_tel').addEventListener('tap', function (e) {
	var a = this;
	var tel_num = document.getElementById(a.id+'_num');
	if (sendSmscheck(a,tel_num)) {

		mui.post('http://user.singse.com/api/send_sms.html',{
				do_submit:1,
				reg_type:'reg',
				email:tel_num.value
			},function(d){
				mui.toast(d.info);
				if (d.status == 1) {
					time(a);
					tel_num.setAttribute("disabled", true);
				}else{
					tel_num.removeAttribute("disabled");
				};
			},'json'
		);
	};
});

// 注册验证手机
document.querySelector('#register_tel_btn').addEventListener('tap', function (e) {
	var register_tel_num = document.getElementById('register_tel_num');
	var register_tel_code = document.getElementById('register_tel_code');
	if (register_tel_code.value.length==0) {
		mui.toast('请输入验证码！');
		return;
	};

	mui.post('http://user.singse.com/api/register_mobile_check.html',{
			do_submit:1,
			mobile:register_tel_num.value,
			code:register_tel_code.value
		},function(d){
			mui.toast(d.info);
			if (d.status == 1) {
				document.getElementById('sms_id').value = d.data.id;
				setTimeout(function() {
					mui('#app').view().go('#register');
				}, 500);
			};
		},'json'
	);
});

// 提交注册
document.querySelector('#register_btn').addEventListener('tap', function (e) {
	var register_name = document.getElementById('register_name').value;
	var register_paswd = document.getElementById('register_paswd').value;
	var register_paswd_re = document.getElementById('register_paswd_re').value;
	var sms_id = document.getElementById('sms_id').value;
	if (register_name.length == 0 || register_paswd.length == 0 || register_paswd_re.length == 0) {
		mui.toast('用户名或密码不能为空哦');
		return;
	};
	if (register_paswd != register_paswd_re) {
		mui.toast('两次密码不一致，请重新输入');
		register_paswd = register_paswd_re = '';
		return;
	};
	if (sms_id == '') {
		mui.toast('手机验证出现问题，请返回重新验证！');
		return;
	};
	var ajaxData = {
		do_submit:1,
		username:register_name,
		password:register_paswd,
		passwordrepeat:register_paswd_re,
		regemail_id:sms_id,
		token:token
	};
	if (qqmd5) {
		ajaxData.md5 = qqmd5;
	};

	mui.post('http://user.singse.com/api/register.html',ajaxData,function(d){
			mui.toast(d.info);
			if (d.status == 1) {
				loginSuccess(d);
			}else{
				mui.toast(d.message);
			};
		},'json'
	);
});

// 获取忘记密码验证码
document.querySelector('#forget_tel').addEventListener('tap', function (e) {
	var a = this;
	var tel_num = document.getElementById(a.id+'_num');
	if (sendSmscheck(a,tel_num)) {

		mui.post('http://user.singse.com/api/send_forget_sms.html',{
				do_submit:1,
				email:tel_num.value
			},function(d){
				mui.toast(d.info);
				if (d.status == 1) {
					time(a);
					tel_num.setAttribute("disabled", true);
					document.getElementById('forget_tel_id').value = d.data.user.uid;
				}else{
					tel_num.removeAttribute("disabled");
				};
			},'json'
		);
	};
});
// 验证忘记密码验证码
document.querySelector('#forget_tel_btn').addEventListener('tap', function (e) {
	var forget_tel_num = document.getElementById('forget_tel_num').value;
	var forget_tel_code = document.getElementById('forget_tel_code').value;
	var forget_tel_id = document.getElementById('forget_tel_id').value;
	if (forget_tel_code.length==0) {
		mui.toast('请输入验证码！');
		return;
	};

	mui.post('http://user.singse.com/api/forget.html',{
			do_submit:1,
			uid:forget_tel_id,
			verify_code:forget_tel_code
		},function(d){
			mui.toast(d.info);
			if (d.status == 1) {
				setTimeout(function() {
					mui('#app').view().go('#reset_password');
				}, 500);
			};
		},'json'
	);
});

// 重置密码
document.querySelector('#reset_password_btn').addEventListener('tap', function (e) {
	var reset_paswd = document.getElementById('reset_paswd').value;
	var reset_paswd_re = document.getElementById('reset_paswd_re').value;
	var forget_tel_id = document.getElementById('forget_tel_id').value;
	if (reset_paswd.length == 0 || reset_paswd_re.length == 0) {
		mui.toast('密码不能为空哦');
		return false;
	};
	if (reset_paswd !== reset_paswd_re) {
		mui.toast('两次密码不一致，请重新输入');
		register_paswd = register_paswd_re = '';
		return false;
	};
	if (forget_tel_id == '') {
		mui.toast('手机验证出现问题，请返回重新验证！');
		return false;
	};

	mui.post('http://user.singse.com/api/reset_password.html',{
			do_submit:1,
			uid:forget_tel_id,
			password:reset_paswd,
			passwordrepeat:reset_paswd_re,
		},function(d){
			console.log(JSON.stringify(d));
			mui.toast(d.info);
			if (d.status==1) {
				setTimeout(function() {
					mui('#app').view().go('#login');
				}, 500);
			};
		},'json'
	);
});

document.querySelector('#jump_tel').addEventListener('tap', function (e) {
	mui.post('http://user.singse.com/api/ignore_bind.html',null,function(d){
			mui.toast(d.info);
			if (d.status == 1) {
				loginSuccess(d);
			}else{
				mui.toast(d.message);
			};
		},'json'
	);
});

function loginSuccess (d) {

	document.getElementById('keepjs').innerHTML='';
	var extrajs=d.data.extrajs.replace('<script type=\"text\/javascript\" src=\"','');
	extrajs=extrajs.replace('\" reload=\"1\"><\/script>','');
	var script = document.createElement('script');
	script.src = extrajs;
	script.type = 'text/javascript';
	document.getElementById('keepjs').appendChild(script);

	storage.setItem("uid",d.data.user.uin);
	uid = parseInt(d.data.user.uin);
	storage.setItem("username",d.data.user.username);

	plus.webview.getWebviewById('forumdisplay').evalJS("refreshUID();");
	plus.webview.getWebviewById('viewthread').evalJS("refreshUID();");
	plus.webview.getWebviewById('viewthread_body').evalJS("refreshUID();");

	setTimeout(function() {
		plus.webview.getWebviewById('viewthread_body').evalJS("checkpost();");
	}, 500);
	setTimeout(function() {
		plus.webview.getWebviewById('discuz_body.html').evalJS("pulldownRefresh();");
		plus.webview.getWebviewById('member.html').evalJS("location.reload();");
		// plus.webview.getWebviewById(plus.runtime.appid).evalJS("pm();");
		plus.webview.getLaunchWebview().evalJS("pm();");
		oldBack();
	}, 1000);
}
function sendSmscheck (a,c) {
	if (c.value) {
		var c_val = c.value;
		var c_len = c_val.length;
		if (c_len==0) {
			mui.toast('请输入手机号码！');
			return false;
		};
		if (c_len!=11) {
			mui.toast('请输入有效的手机号码！');
			return false;
		};
		if (!tel_reg.test(c_val)) {
			mui.toast('请输入有效的手机号码！');
			return false;
		};
	};
	return true;
}
document.querySelector('.openURL').addEventListener('tap', function() {
	plus.runtime.openURL('http://www.singse.com/lostpasswd.php');
});
function time(a) {
	if (wait == 0) {
		a.removeAttribute("disabled");
		a.value="点击获取";
		wait = 60;
	} else {
		a.setAttribute("disabled", true);
		a.value = wait + "s";
		wait--;
		setTimeout(function() {
			time(a)
		},1000)
	}
}

//第三方登录接口
var auths={};
function plusReady(){
	// 获取登录认证通道
	plus.oauth.getServices(function(services){
		for(var i in services){
			var service=services[i];
			var serviceID = document.getElementById(service.id);
			auths[service.id]=service;
			serviceID.classList.add('oauthBtn');
			serviceID.setAttribute('src','../images/share/'+ service.id +'.png');
			// var de=document.createElement('img');

			// de.setAttribute('width','20%');
			// de.setAttribute('src','../images/share/'+service.id+'.png');
			// de.setAttribute('onclick','login(this.id)');
			// de.id=service.id;

			// oauth.appendChild(de);
		}
	},function(e){
		// console.log("获取登录认证失败："+e.message);
	});
	viewApi= mui('#app').view({
		defaultPage: '#login'
	});
	viewApi.view.addEventListener('pageBeforeBack', function(e) {
		if (e.detail.page.id == 'bind_tel_send' || e.detail.page.id == 'register_tel_send' || e.detail.page.id == 'forget_tel_send') {wait=0;};
		if (e.detail.page.id == 'register_tel_send' && qqmd5){
			qqmd5 = 0;
			document.getElementById('qqBindOld').style.display='none';
			document.getElementById('qqAction').style.display='block';
			document.getElementById('qqTitle').innerText=document.getElementById('login_btn').innerText="登录";
		}
	});
}
document.addEventListener('plusready',plusReady,false);
// 登录认证

mui('#oauth').on('tap', 'img', function() {
	var thisid = this.getAttribute('id');
	var auth=auths[thisid];
	if(auth){
		var w=null;
		if(plus.os.name=="Android"){
			w=plus.nativeUI.showWaiting();
		};
		auth.login(function(){
			w&&w.close();w=null;
			fqqlogin(auth.authResult);
		},function(e){
			w&&w.close();w=null;
			mui.toast("授权失败！");
		});
	}else{
		plus.nativeUI.alert("无效的登录认证通道！",null,"登录");
	}
});

// function login(id){
// 	var auth=auths[id];
// 	if(auth){
// 		var w=null;
// 		if(plus.os.name=="Android"){
// 			w=plus.nativeUI.showWaiting();
// 		}

// 		auth.login(function(){
// 			w&&w.close();w=null;
// 			fqqlogin(auth.authResult);
// 		},function(e){
// 			w&&w.close();w=null;
// 			mui.toast("授权失败！");
// 		});
// 	}else{
// 		plus.nativeUI.alert("无效的登录认证通道！",null,"登录");
// 	}
// }
// 注销登录
function logoutAll(){
	for(var i in auths){
		logout(auths[i]);
	}
}
// QQ登录
function fqqlogin (a) {
	mui.post('http://user.singse.com/api/qqconnect.html',{
			token:token,
			qq_data:a
		},function(d){
			mui.toast(d.info);
			if (d.status == 1) {
				loginSuccess(d);
				plus.nativeUI.closeWaiting();
			}else if(d.status == 2){
				qqmd5 = d.data.md5;
				setTimeout(function() {
					document.getElementById('qqBindOld').style.display='block';
					document.getElementById('qqAction').style.display='none';
					document.getElementById('qqTitle').innerText=document.getElementById('login_btn').innerText="绑定";
					plus.nativeUI.closeWaiting();
					mui('#app').view().go('#register_tel_send');
				}, 100);
			}else{
				mui.toast(d.message);
			};
		},'json'
	);
}