function startTask() {
	// var obj = document.getElementById('avatar');
	if (avatarID.getAttribute('data-loaded')) return;
	var avatar_url = domain + 'uc_server/avatar.php?uid=' + uid + '&size=middle';
	var hb_path = '_downloads/image/' + hex_md5(avatar_url) + '.jpg'; //HBuilder平台路径
	var sd_path = plus.io.convertLocalFileSystemURL(hb_path); //SD卡绝对路径

	delFile(hb_path);// 删除旧头像本地文件

	var temp = new Image();
	temp.src = sd_path;
	temp.onload = function() {
		console.log("已下载则跳过==" + hb_path);
		setTimeout(function(){
			startTask();
		},1000);
	};
	temp.onerror = function() {
		var task = plus.downloader.createDownload(avatar_url, {
			"filename": hb_path,
			"timeout": 10,
			"retry": 2
		}, function(download, status) {
			console.log("下载回调status==" + status+"-->"+hb_path);
			if (status == 200) {
				setLoaded(avatarID,sd_path);
			}else{
				delFile(hb_path);
				download.abort();
			}
			startTask();
		});
		task.start();
	};
}

function setLoaded(obj,bg_url) {
	if (obj.getAttribute("data-loaded")) return;
	obj.setAttribute("data-loaded", true);//标记成功
	obj.setAttribute("src",bg_url);
}

function delFile(hb_path) {
	if (hb_path) {
		plus.io.resolveLocalFileSystemURL(hb_path, function(entry) {
			entry.remove(function(entry) {
				console.log("文件删除成功==" + hb_path);
			}, function(e) {
				console.log("文件删除失败=" + hb_path);
			});
		});
	}
}