var localDir="update",localFile="update.json",//本地保存升级描述目录和文件名
keyUpdate="updateCheck",//取消升级键名
keyAbort="updateAbort",//忽略版本键名
checkInterval=259200000,//升级检查间隔，单位为ms,7天为7*24*60*60*1000=604800000
dir=null;

function initUpdate(a){
	// 判断升级检测是否过期
	var wgtVer=null;
	if (a) storage.removeItem( keyUpdate );
	var lastcheck = isNAN(parseInt(storage.getItem( keyUpdate )));
	console.log(lastcheck);
	if ( lastcheck) {
		var dn = (new Date()).getTime();
		if ( (dn - lastcheck) < checkInterval ) {	// 未超过上次升级检测间隔，不需要进行升级检查
			return;
		}
		// 取消已过期，删除取消标记
		storage.removeItem( keyUpdate );
	}

	// 正式版的升级接口
	var server= domain+'/api/appUpgrade.php';
	// var server= domain+'/api/appUpgradeTest.php';
	console.log(server);
	console.log('系统：'+plus.os.name);
	plus.runtime.getProperty(plus.runtime.appid,function(inf){
		console.log("当前应用版本："+inf.version);
		console.log("当前应用版本："+plus.runtime.version);

		mui.getJSON(server,{v:inf.version,os:plus.os.name},function(d){
				console.log(d);
				console.log(d.State);
				if (d.State > 0) {
					var updateTitle = d.updateTitle ? d.updateTitle : '更新';
					var updateContent = d.updateContent ? d.updateContent : '发现有新版本，请问需要更新吗？';
					updateContent = updateContent.replace(/\\n/g, "\n");
					plus.nativeUI.confirm( updateContent, function(i){
						if ( 0==i.index ) {
							if (d.State == 1) {
								downWgt(d.Url);
							}else if(d.State == 2){
								plus.runtime.openURL( d.Url );
							};
						} else {
							storage.setItem( keyUpdate, (new Date()).getTime().toString() );
						}
					}, updateTitle, ["立即更新","取　　消"] );
				}else if(a){
					mui.toast('没有更新！');
				};
			}
		);
	});
}
// 下载wgt文件
function downWgt(url){
	plus.nativeUI.showWaiting("下载更新文件...");
	plus.downloader.createDownload( url, {filename:"_doc/update/"}, function(d,status){
		if ( status == 200 ) { 
			console.log("下载wgt成功："+d.filename);
			installWgt(d.filename);	// 安装wgt包
		} else {
			console.log("下载失败！");
			plus.nativeUI.alert("下载失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}
// 更新应用资源
function installWgt(path){
	plus.nativeUI.showWaiting("安装更新文件...");
	plus.runtime.install(path,{force: true},function(){
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件成功！");
		// plus.nativeUI.alert("更新完成！准备重启...",function(){
		plus.nativeUI.alert("更新成功, 即将重启!",function(){
			plus.runtime.restart();
		});
	},function(e){
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件失败["+e.code+"]："+e.message);
		plus.nativeUI.alert("更新失败["+e.code+"]："+e.message);
	});
}